package workload

import (
	"fmt"
)

type Workload struct {
	Kind     string
	Replicas int
}

func (wd *Workload) ValidateKind() error {
	if wd.Kind == "Deployment" || wd.Kind == "StatefulSet" || wd.Kind == "DaemonSet" {
		return nil
	}
	err := fmt.Errorf("kind is not valid, expect Deployment|StatefulSet|DaemonSet, got %s", wd.Kind)
	return err
}
